package willow.greatsword.greatswordmod;

import net.fabricmc.fabric.api.item.v1.FabricItemSettings;
import net.minecraft.class_1832;
import net.minecraft.class_1856;
import net.minecraft.class_3528;
import java.util.function.Supplier;

public enum ModToolMaterial implements class_1832 {
    GREAT_SWORD(5, 1500, 11.0f, 5.0f, 28, () -> class_1856.method_8091(ModItems.GREAT_SWORD));

    private final int miningLevel;
    private final int itemDurability;
    private final float miningSpeed;
    private final float attackDamage;
    private final int enchantability;
    private final class_3528<class_1856> repairIngredient;

    private ModToolMaterial(int miningLevel, int itemDurability, float miningSpeed, float attackDamage,
                            int enchantability, Supplier<class_1856> repairIngredient) {
        this.miningLevel = miningLevel;
        this.itemDurability = itemDurability;
        this.miningSpeed = miningSpeed;
        this.attackDamage = attackDamage;
        this.enchantability = enchantability;
        this.repairIngredient = new class_3528<class_1856>(repairIngredient);
    }

    @Override
    public int method_8025() {
        return this.itemDurability;
    }

    @Override
    public float method_8027() {
        return this.miningSpeed;
    }

    @Override
    public float method_8028() {
        return this.attackDamage;
    }

    @Override
    public int method_8024() {
        return this.miningLevel;
    }

    @Override
    public int method_8026() {
        return this.enchantability;
    }

    @Override
    public class_1856 method_8023() {
        return this.repairIngredient.method_15332();
    }
}